package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Auth Timeout Setting.
 */
@ApiModel(description = "Auth Timeout Setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class AuthTimeoutSetting   {
  @JsonProperty("customTimeout")
  private Integer customTimeout;

  @JsonProperty("customTimeoutUnit")
  private Integer customTimeoutUnit;

  public AuthTimeoutSetting customTimeout(Integer customTimeout) {
    this.customTimeout = customTimeout;
    return this;
  }

  /**
   * Custom timeout should be within the range of 1 - 1,000,000 min or 1 - 10,000 hour or 1 - 1,000 day.
   * @return customTimeout
  */
  @ApiModelProperty(value = "Custom timeout should be within the range of 1 - 1,000,000 min or 1 - 10,000 hour or 1 - 1,000 day.")


  public Integer getCustomTimeout() {
    return customTimeout;
  }

  public void setCustomTimeout(Integer customTimeout) {
    this.customTimeout = customTimeout;
  }

  public AuthTimeoutSetting customTimeoutUnit(Integer customTimeoutUnit) {
    this.customTimeoutUnit = customTimeoutUnit;
    return this;
  }

  /**
   * Timeout unit, should be a value as follows: 1: min; 2: hour; 3: day.
   * @return customTimeoutUnit
  */
  @ApiModelProperty(value = "Timeout unit, should be a value as follows: 1: min; 2: hour; 3: day.")


  public Integer getCustomTimeoutUnit() {
    return customTimeoutUnit;
  }

  public void setCustomTimeoutUnit(Integer customTimeoutUnit) {
    this.customTimeoutUnit = customTimeoutUnit;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AuthTimeoutSetting authTimeoutSetting = (AuthTimeoutSetting) o;
    return Objects.equals(this.customTimeout, authTimeoutSetting.customTimeout) &&
        Objects.equals(this.customTimeoutUnit, authTimeoutSetting.customTimeoutUnit);
  }

  @Override
  public int hashCode() {
    return Objects.hash(customTimeout, customTimeoutUnit);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AuthTimeoutSetting {\n");
    
    sb.append("    customTimeout: ").append(toIndentedString(customTimeout)).append("\n");
    sb.append("    customTimeoutUnit: ").append(toIndentedString(customTimeoutUnit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

